Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
gnome-base/librsvg-2.45.1::gnome-next will not build[SOLVED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
jserink
l33t
l33t


Joined: 30 Jan 2004
Posts: 930

PostPosted: Sat Dec 22, 2018 1:46 pm    Post subject: gnome-base/librsvg-2.45.1::gnome-next will not build[SOLVED] Reply with quote

Hi All:

This problem has been in play for a month or 2, gnome-base/librsvg-2.45.1::gnome-next will not build.
I use overlay gnome-next as I'm an evolution user and the version in the portage tree is extremely old.

Ok, here are errors:
"emerge --info '=gnome-base/librsvg-2.45.1::gnome-next'"
https://paste.pound-python.org/show/zc0n2xjOKj0YXoAuA24H/

"emerge -pqv '=gnome-base/librsvg-2.45.1::gnome-next'"
https://paste.pound-python.org/show/U4FR2WEiM4cXafYYUjR5/


"cat /tmp/portage/gnome-base/librsvg-2.45.1/temp/build.log"
https://paste.pound-python.org/show/YuuH96fpPL88uCXNJikz/

"cat /tmp/portage/gnome-base/librsvg-2.45.1/temp/environment"
https://paste.pound-python.org/show/Orjl61Ut0nm5qoR5BoZc/

There are a few things when I look at the build log but I'm not up enough on rust or introspection to make intelligent interpretations on what I see there.

looking for a work around to get this built.


Cheers,
john


Last edited by jserink on Sun Dec 23, 2018 2:45 pm; edited 1 time in total
Back to top
View user's profile Send private message
Child_of_Sun_24
Guru
Guru


Joined: 28 Jul 2004
Posts: 452

PostPosted: Sat Dec 22, 2018 2:04 pm    Post subject: Reply with quote

https://wiki.gentoo.org/wiki/GNOME/GNOME_Without_systemd

Maybe this helps you, since there is a working version of librsvg :-)
Back to top
View user's profile Send private message
jserink
l33t
l33t


Joined: 30 Jan 2004
Posts: 930

PostPosted: Sun Dec 23, 2018 5:13 am    Post subject: Reply with quote

Hi All:

Ok, I upgraded to rust-1.31.1, rust-bin-1.31.1, removed cargo and installed virtual/cargo1.31.1.
All good, but librsvg -2.45.1 dies here now:
&& rm -f librsvg/tmp-librsvg-enum-types.c \
&& echo timestamp > librsvg/s-enum-types-c
/bin/sh: line 1: /usr/bin/glib-mkenums: No such file or directory
/bin/sh: line 1: /usr/bin/glib-mkenums: No such file or directory
make: *** [Makefile:1964: librsvg/s-enum-types-h] Error 127
make: *** Waiting for unfinished jobs....
make: *** [Makefile:1978: librsvg/s-enum-types-c] Error 127
* ERROR: gnome-base/librsvg-2.45.1::gnome-next failed (compile phase):
* emake failed
But from here:

http://metadata.ftp-master.debian.org/changelogs/main/g/glib2.0/unstable_changelog
glib2.0 (2.53.6-1) unstable; urgency=medium

* New upstream release.
* git_glib-mkenums-utf8.patch, git_glib-mkenums-flags.patch: Drop, now
applied upstream.
* debian/rules: Don't pass -X.la to dh_auto_install - it can easily lead to
unwanted removals (not claiming this is happening here)
* debian/rules: Fix arguments to dh_auto_test so tests are run again
* debian/rules, debian/control{,.in}: Use dh_missing and not dh_install
--list-missing. Also upgrade this check to --fail-missing.
* debian/rules: Don't run the tests under fakeroot; it makes them fail with
dbus-related authentication problems.

-- Iain Lane <laney@debian.org> Mon, 21 Aug 2017 17:01:22 +0100

So, the way I read this, as of glib 2.52.6-1, there is no more glib-mkenums and its supposed to be replaced by a python script.

Where do I get the python script?
Will the librsvg know to look for the python script or will I need to put in a link?

Any ideas?

Cheers,
John
Back to top
View user's profile Send private message
jserink
l33t
l33t


Joined: 30 Jan 2004
Posts: 930

PostPosted: Sun Dec 23, 2018 2:48 pm    Post subject: Reply with quote

Hi All:

after updating this morning, it built.....and I don't know why.
There are the packages that were updated:
Sun Dec 23 09:04:34 2018 >>> app-arch/lz4-1.8.2
Sun Dec 23 09:04:48 2018 >>> media-libs/libharu-2.3.0-r2
Sun Dec 23 09:06:35 2018 >>> net-misc/ntp-4.2.8_p12
Sun Dec 23 09:06:49 2018 >>> app-text/zathura-0.4.1-r2
Sun Dec 23 09:37:23 2018 >>> sci-libs/vtk-8.1.1
Sun Dec 23 09:44:47 2018 >>> gnome-base/librsvg-2.45.1

You can see, after the updates (2 packages were new, lz4, libharu) librsvg built fine.

Again, dunno why, it just did.

Cheers,
John
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 13498

PostPosted: Sun Dec 23, 2018 4:43 pm    Post subject: Reply with quote

Perhaps the maintainer of the overlay you used for gnome-base/librsvg modified the ebuild to handle the problem.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum